package xiaoqu.home.open.model.db2;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 事项
 * </p>
 *
 * @author mk
 * @since 2022-03-16
 */
@TableName("matter")
@ApiModel(value="Matter对象", description="事项")
public class Matter extends Model<Matter> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "事项名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "对象父关联")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "对象父名称")
    @TableField("parent_name")
    private String parentName;

    @ApiModelProperty(value = "对象名称")
    @TableField("object_name")
    private String objectName;

    @ApiModelProperty(value = "对象关联")
    @TableField("object_id")
    private Long objectId;

    @ApiModelProperty(value = "排序")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty(value = "类型id")
    @TableField("event_type_id")
    private Long eventTypeId;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "站点名称")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "物业名称")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "代理名称")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "管理级别（0:代理;1:物业;2:站点）")
    @TableField("manager_level")
    private Integer managerLevel;

    @ApiModelProperty(value = "状态（0:停用;1:启用）")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "备注")
    @TableField("memo")
    private String memo;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getObjectName() {
        return objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public Long getObjectId() {
        return objectId;
    }

    public void setObjectId(Long objectId) {
        this.objectId = objectId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Long getEventTypeId() {
        return eventTypeId;
    }

    public void setEventTypeId(Long eventTypeId) {
        this.eventTypeId = eventTypeId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public Integer getManagerLevel() {
        return managerLevel;
    }

    public void setManagerLevel(Integer managerLevel) {
        this.managerLevel = managerLevel;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Matter{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", name=" + name +
        ", parentId=" + parentId +
        ", parentName=" + parentName +
        ", objectName=" + objectName +
        ", objectId=" + objectId +
        ", sort=" + sort +
        ", eventTypeId=" + eventTypeId +
        ", districtId=" + districtId +
        ", propertyId=" + propertyId +
        ", agentId=" + agentId +
        ", districtName=" + districtName +
        ", propertyName=" + propertyName +
        ", agentName=" + agentName +
        ", managerLevel=" + managerLevel +
        ", status=" + status +
        ", memo=" + memo +
        "}";
    }
}
